# Uses of Class
org.apache.lucene.search.DoubleValues

Packages that use DoubleValues
Package
Description
org.apache.lucene.search
Code to search indices.

- ## Uses of DoubleValues in org.apache.lucene.search

  Fields in org.apache.lucene.search declared as DoubleValues
  Modifier and Type
  Field
  Description
  `static final DoubleValues`
  DoubleValues.`EMPTY`
  An empty DoubleValues instance that always returns `false` from `advanceExact(int)`
  Methods in org.apache.lucene.search that return DoubleValues
  Modifier and Type
  Method
  Description
  `static DoubleValues`
  DoubleValuesSource.`fromScorer(Scorable scorer)`
  Returns a DoubleValues instance that wraps scores returned by a Scorer.
  `DoubleValues`
  FullPrecisionFloatVectorSimilarityValuesSource.`getSimilarityScores(LeafReaderContext ctx)`
  Sugar to fetch full precision similarity score values
  `abstract DoubleValues`
  DoubleValuesSource.`getValues(LeafReaderContext ctx, DoubleValues scores)`
  Returns a `DoubleValues` instance for the passed-in LeafReaderContext and scores
  `DoubleValues`
  FullPrecisionFloatVectorSimilarityValuesSource.`getValues(LeafReaderContext ctx, DoubleValues scores)`
  `DoubleValues`
  LateInteractionFloatValuesSource.`getValues(LeafReaderContext ctx, DoubleValues scores)`
  `static DoubleValues`
  DoubleValuesSource.`similarityToQueryVector(LeafReaderContext ctx, byte[] queryVector, String vectorField)`
  Returns a DoubleValues instance for computing the vector similarity score per document against the byte query vector
  `static DoubleValues`
  DoubleValuesSource.`similarityToQueryVector(LeafReaderContext ctx, float[] queryVector, String vectorField)`
  Returns a DoubleValues instance for computing the vector similarity score per document against the float query vector
  `static DoubleValues`
  DoubleValues.`withDefault(DoubleValues in, double missingValue)`
  Wrap a DoubleValues instance, returning a default if the wrapped instance has no value
  Methods in org.apache.lucene.search with parameters of type DoubleValues
  Modifier and Type
  Method
  Description
  `abstract DoubleValues`
  DoubleValuesSource.`getValues(LeafReaderContext ctx, DoubleValues scores)`
  Returns a `DoubleValues` instance for the passed-in LeafReaderContext and scores
  `DoubleValues`
  FullPrecisionFloatVectorSimilarityValuesSource.`getValues(LeafReaderContext ctx, DoubleValues scores)`
  `DoubleValues`
  LateInteractionFloatValuesSource.`getValues(LeafReaderContext ctx, DoubleValues scores)`
  `LongValues`
  LongValuesSource.ConstantLongValuesSource.`getValues(LeafReaderContext ctx, DoubleValues scores)`
  `abstract LongValues`
  LongValuesSource.`getValues(LeafReaderContext ctx, DoubleValues scores)`
  Returns a `LongValues` instance for the passed-in LeafReaderContext and scores
  `static DoubleValues`
  DoubleValues.`withDefault(DoubleValues in, double missingValue)`
  Wrap a DoubleValues instance, returning a default if the wrapped instance has no value